package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardIdTypeConfigDto;
import com.crm.rely.backend.core.entity.ucard.CardIdTypeConfigAddEntity;
import com.crm.rely.backend.core.entity.ucard.CardIdTypeConfigPageEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardIdTypeConfigMapper {

    Integer countList(CardIdTypeConfigPageEntity entity);

    List<CardIdTypeConfigDto> pageList(CardIdTypeConfigPageEntity entity);

    void batchSave(List<CardIdTypeConfigAddEntity> list);

}
